<?php
header('Content-Type: application/json');
require_once 'config.php';

if (!isset($_POST['phone'])) {
    echo json_encode(['error' => 'No se proporcionó número de teléfono']);
    exit();
}

$phone = $conn->real_escape_string($_POST['phone']);

$query = "SELECT id FROM users WHERE phone = ?";
$stmt = $conn->prepare($query);
$stmt->bind_param("s", $phone);
$stmt->execute();
$result = $stmt->get_result();

echo json_encode(['exists' => ($result->num_rows > 0)]);

$stmt->close();
$conn->close();
?>